
QGIS Application - Feature request #3703

improvement of spatial selection

2011-04-04 11:19 PM - jannekevandijk -

Status: Open

Priority: Low

Assignee:

Category: C++ plugins/Spatial Query

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13762

Description

basically something similar to [[ArcGis]] 'select by location', where you

are able to:

1. select features in multiple layers

2. select using a buffer without having to create buffers first (eg select features within a distance of selected features of another layer)

(or should this be two seperate tickets?)

History

#1 - 2011-12-09 08:55 AM - Paolo Cavallini

- Category changed from Build/Install to C++ Plugins

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-10-20 09:10 PM - Pierre-Luc Auclair

Just a "me too". This would be incredibly useful. I create throwaway buffers so many times every day it's almost ridiculous.

#6 - 2015-11-20 06:52 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Operating System deleted (Debian)

Hello, bug triage...

still no way to make a spatial selection on multiple layers in QGIS 2.13 master. In the ArcGIS implementation, there is a checkable list of all the opened

layers on the MXD (project). This list is for target layers (what you want to have selected at the end). So in ArcGIS you can make multiple selection

requests (one for each target layer) on the same source layer with only one tool. This is useful because for the moment in QGIS, you have to make each

request manually.

For buffer selection, I suggest that you use a Processing model with a "Fixed distance buffer" operation on the source layer followed by a "Select by

location".
When the multiple selection will be implemented (perhaps in Processing tool first), we could close this feature request...

#7 - 2015-12-22 05:26 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2017-01-02 01:39 AM - Giovanni Manghi

- Category changed from C++ Plugins to C++ plugins/Spatial Query

- Status info deleted (0)

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
